> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List relabel runs



## OpenAPI

````yaml /openapi/model-distillation/management.openapi.yaml get /tasks/{alias}/datasets/{datasetId}/relabels
openapi: 3.1.0
info:
  title: Model Distillation Management API
  version: 1.0.0
  description: |
    Manage providers, tasks, routing versions, datasets, relabeling, fine-tunes,
    evaluations, analytics, and closed-loop training Automation. This is the
    same API used by Model Distillation Studio.
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: Production
security:
  - WandbApiKey: []
tags:
  - name: Providers
    description: OpenAI-compatible endpoints, credentials, model catalogs, and pricing.
  - name: Tasks
    description: Stable task identity and task-level information.
  - name: Routing
    description: Versioned model targets, weights, and request parameters.
  - name: Datasets
    description: >-
      Reproducible data snapshots, entries, relabeling, and reusable model
      outputs.
  - name: Fine-tunes
    description: Supervised fine-tuning jobs and hosted model artifacts.
  - name: Evaluations
    description: Head-to-head, exact-match, and categorization evaluations.
  - name: Automation
    description: Closed-loop dataset, sweep, evaluation, and promotion runs.
  - name: Analytics
    description: Task traffic, token, error, and estimated-cost read models.
  - name: Studio preferences
    description: Per-task display preferences used by Studio.
paths:
  /tasks/{alias}/datasets/{datasetId}/relabels:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/DatasetId'
    get:
      tags:
        - Datasets
      summary: List relabel runs
      operationId: listRelabelRuns
      responses:
        '200':
          description: Additive output-generation runs for the dataset.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RelabelRun'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: >-
        Accessible personal or team entity. Omit to use the API key's default
        entity.
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetId:
      name: datasetId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    RelabelRun:
      type: object
      additionalProperties: true
      required:
        - id
        - dataset_id
        - dataset_revision
        - model_ref
        - status
        - output_count
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        dataset_id:
          type: string
          format: uuid
        dataset_revision:
          type: integer
        model_ref:
          $ref: '#/components/schemas/ModelRef'
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
            - stale
        error:
          type:
            - string
            - 'null'
        output_count:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: Request failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbApiKey:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: A personal or service-account W&B API key.

````